<?php

namespace App\Models;

use App\Constants\Util;

/**
 * @property $group_id
 * @property $id
 * @property $button
 * @property $buttons
 * @property $image
 * @property $language
 * @property $explain
 * @property $reply
 *
 */
class Keyboard extends BaseModel
{
    protected $table = 'keyboard';
    protected $fillable = ['button', 'group_id', 'reply', 'id', 'buttons', 'image', 'language', 'explain'];

    protected function getImageAttribute($value)
    {
        return Util::ensureUrl($value);
    }

    protected function setImageAttribute($value)
    {
        $this->attributes['image'] = Util::replacePartInUrl($value);
    }
}
